about summary refs log tree commit diff
path: root/surf-open.sh
diff options
context:
space:
mode:
authorChristoph Lohmann <20h@r-36.net>2012-11-16 16:12:09 +0100
committerChristoph Lohmann <20h@r-36.net>2012-11-16 16:12:09 +0100
commite7b36f693f184427c51be59e98c5f1bb5904e806 (patch)
tree997c1afc84b1002ade6468c966444c92b8674194 /surf-open.sh
parentMoving some preprocessor config options to the standard suckless style. (diff)
downloadsurf-e7b36f693f184427c51be59e98c5f1bb5904e806.tar.gz
surf-e7b36f693f184427c51be59e98c5f1bb5904e806.tar.bz2
surf-e7b36f693f184427c51be59e98c5f1bb5904e806.zip
Adding a surf-open.sh script for easier tabbed(1) integration.
Diffstat (limited to 'surf-open.sh')
-rwxr-xr-xsurf-open.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/surf-open.sh b/surf-open.sh
new file mode 100755
index 0000000..29036f8
--- /dev/null
+++ b/surf-open.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# See the LICENSE file for copyright and license details. 
+#
+
+xidfile="$HOME/tmp/tabbed-surf.xid"
+uri=""
+
+if [ "$#" -gt 0 ];
+then
+	uri="$1"
+fi
+
+runtabbed() {
+	tabbed -dn tabbed-surf -r 2 surf -e '' "$uri" >"$xidfile" \
+		2>/dev/null &
+}
+
+if [ ! -r "$xidfile" ];
+then
+	runtabbed
+else
+	xid=$(cat "$xidfile")
+	xprop -id "$xid" 2>&1 >/dev/null
+	if [ $? -gt 0 ];
+	then
+		runtabbed
+	else
+		surf -e "$xid" "$uri" 2>&1 >/dev/null &
+	fi
+fi
+